package com.sf.common.utils.http;

import com.sf.common.utils.StringUtils;
import org.springframework.web.context.request.RequestAttributes;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

public class RequestUtils {

    public static String getHeader(String code){
        RequestAttributes requestAttributes1 = RequestContextHolder.getRequestAttributes();
        HttpServletRequest request = ((ServletRequestAttributes) requestAttributes1).getRequest();
        if(StringUtils.isBlank(request.getHeader(code))){
            throw new SecurityException("参数异常appCode为空");
        }
        return request.getHeader(code);
    }
}
